#
# spec file for package python-oslo.middleware
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           python-oslo.middleware
Version:        3.37.1
Release:        bp156.3.1
Summary:        OpenStack oslo.middleware library
License:        Apache-2.0
Group:          Development/Languages/Python
URL:            https://launchpad.net/oslo.middleware
Source0:        https://files.pythonhosted.org/packages/source/o/oslo.middleware/oslo.middleware-3.37.1.tar.gz
BuildRequires:  openstack-macros
BuildRequires:  python-devel
BuildRequires:  python3-Jinja2 >= 2.10
BuildRequires:  python3-WebOb >= 1.7.1
BuildRequires:  python3-debtcollector >= 1.2.0
BuildRequires:  python3-devel
BuildRequires:  python3-fixtures
BuildRequires:  python3-mock
BuildRequires:  python3-oslo.config >= 5.2.0
BuildRequires:  python3-oslo.context >= 2.19.2
BuildRequires:  python3-oslo.i18n >= 3.15.3
BuildRequires:  python3-oslo.serialization
BuildRequires:  python3-oslo.utils >= 3.33.0
BuildRequires:  python3-oslotest
BuildRequires:  python3-pbr >= 2.0.0
BuildRequires:  python3-six >= 1.10.0
BuildRequires:  python3-statsd >= 3.2.1
BuildRequires:  python3-stestr
BuildRequires:  python3-stevedore >= 1.20.0
BuildRequires:  python3-testtools
BuildArch:      noarch

%description
Oslo middleware library includes components that can be injected into wsgi
pipelines to intercept request/response flows. The base class can be enhanced
with functionality like add/delete/modification of http headers and support
for limiting size/connection etc.

%package -n python3-oslo.middleware
Summary:        OpenStack oslo.middleware library
Group:          Development/Languages/Python
Requires:       python3-Jinja2 >= 2.10
Requires:       python3-WebOb >= 1.7.1
Requires:       python3-debtcollector >= 1.2.0
Requires:       python3-oslo.config >= 5.2.0
Requires:       python3-oslo.context >= 2.19.2
Requires:       python3-oslo.i18n >= 3.15.3
Requires:       python3-oslo.serialization
Requires:       python3-oslo.utils >= 3.33.0
Requires:       python3-six >= 1.10.0
Requires:       python3-statsd >= 3.2.1
Requires:       python3-stevedore >= 1.20.0

%description -n python3-oslo.middleware
Oslo middleware library includes components that can be injected into wsgi
pipelines to intercept request/response flows. The base class can be enhanced
with functionality like add/delete/modification of http headers and support
for limiting size/connection etc.

This package contains the Python 3.x module.

%package -n python3-oslo.middleware-doc
Summary:        Documentation for OpenStack middleware library
Group:          Development/Languages/Python
BuildRequires:  python3-Sphinx
BuildRequires:  python3-openstackdocstheme
BuildRequires:  python3-reno

%description -n python3-oslo.middleware-doc
Oslo middleware library includes components that can be injected into wsgi
pipelines to intercept request/response flows. The base class can be enhanced
with functionality like add/delete/modification of http headers and support
for limiting size/connection etc.
This package contains the documentation.

%prep
%autosetup -p1 -n oslo.middleware-3.37.1
%py_req_cleanup

%build
%py3_build

# generate html docs
PBR_VERSION=%{version} %sphinx_build -b html doc/source doc/build/html
# remove the sphinx-build leftovers
rm -rf doc/build/html/.{doctrees,buildinfo}

%install
%py3_install

%check
python3 -m stestr.cli run

%files -n python3-oslo.middleware
%license LICENSE
%doc README.rst ChangeLog
%{python3_sitelib}/oslo_middleware
%{python3_sitelib}/*.egg-info

%files -n python3-oslo.middleware-doc
%license LICENSE
%doc doc/build/html

%changelog
* Fri Feb 19 2021 Yuchen Lin <mlin+factory@suse.de>
- Switch to python3 only
* Mon Apr  8 2019 cloud-devel@suse.de
- update to version 3.37.1
  - Update mailinglist from dev to discuss
  - Document security considerations for detailed healthcheck
  - add lib-forward-testing-python3 test job
  - Remove moxstubout usage
  - Update reno for stable/rocky
  - Clean up .gitignore references to personal tools
  - Use template for lower-constraints
  - add python 3.6 unit test job
  - add python 3.7 unit test job
  - import zuul job settings from project-config
* Sat Sep  1 2018 cloud-devel@suse.de
- update to version 3.36.0
  - Remove stale pip-missing-reqs tox test
  - set default python to python3
  - fix tox python3 overrides
  - Update reno for stable/queens
  - pypy is not checked at gate
  - Trivial: Update pypi url to new url
  - Imported Translations from Zanata
  - Switch to stestr
  - Add release notes link to README
  - Follow the new PTI for document build
  - Updated from global requirements
  - add lower-constraints job
* Fri Feb 23 2018 tbechtold@suse.com
- Switch to stable/queens spec template
* Tue Jan 30 2018 cloud-devel@suse.de
- update to version 3.34.0
  - Updated from global requirements
  - Avoid tox_install.sh for constraints support
  - add bandit to pep8 job
* Mon Jan 15 2018 cloud-devel@suse.de
- update to version 3.33.0
  - Invalid parsing of Forwarded header fixed
  - Update reno for stable/pike
  - Remove setting of version/release from releasenotes
  - doc: Specify openstackdocs theme
  - Remove method set_latent
  - Imported Translations from Zanata
  - Remove Class HTTPProxyToWSGIMiddleware
  - Updated from global requirements
  - Fix exception in json response under py35
* Thu Sep 28 2017 cloud-devel@suse.de
- update to version 3.30.1
  - Invalid parsing of Forwarded header fixed
  - Update .gitreview for stable/pike
  - Updated from global requirements
  - Update UPPER_CONSTRAINTS_FILE for stable/pike
* Mon Aug  7 2017 cloud-devel@suse.de
- update to version 3.30.0
  - Remove usage of parameter enforce_type
  - Remove log translations
  - Replace deprecated inspect function in Python 3
  - Remove deprecated oslo.subdomain from CORS opts
  - Fix test_request_too_large_no_content_length failure
  - rearrange content to fit the new standard layout
  - Update URLs in documents according to document migration
  - update the docs url in the readme
  - [Fix gate]Update test requirement
  - import admin guide content from openstack-manuals
  - Allow compatibility headers for request_id
  - pbr.version.VersionInfo needs package name (oslo.xyz and not oslo_xyz)
  - Set global_request_id if passed in as X-OpenStack-Request-ID.
  - Update reno for stable/ocata
  - Remove pbr warnerrors in favor of sphinx check
  - Updated from global requirements
  - switch from oslosphinx to openstackdocstheme
  - Optimize the link address
* Mon Feb 13 2017 cloud-devel@suse.de
- update to version 3.23.1:
  - remove superfluous random stuff
  - Add new middleware to send API data to statsd
  - Allow healthcheck to be configured by oslo.config
  - Remove self-referential link in docs
  - Imported Translations from Zanata
  - Enable release notes translation
  - Suggest to use egg based filter_factory rather than fragile full path
  - Remove references to Python 3.4
  - Add Constraints support
  - Replace 'assertEqual(None, ...)' with 'assertIsNone(...)'
  - Limit ssl deprecation warning to external importers
  - Replace six.iteritems() with .items()
  - make sure we handle the forwarded for headers
  - Add Python 3.5 classifier and venv
  - TrivialFix: Remove default=None when set value in Config
  - Transform healthcheck from filter to an application
  - Document how to use detailed mode in healthcheck
  - Show more healthcheck examples
  - Add reno for release notes management
  - Deprecated set_latent
  - Filter X-Auth-Token in catch_errors
  - Changed the home-page link
  - Filter token data out of catch_errors middleware
  - Replaces uuid.uuid4 with uuidutils.generate_uuid()
  - Updated from global requirements
* Tue Oct  4 2016 dmueller@suse.com
- global requirements sync
- switch to stable/newton
* Fri Sep 30 2016 dmueller@suse.com
- update to 3.19.0:
  * Remove pot files
  * Fix inline docstring to use default path (not /status)
  * Updated from global requirements
  * Updated from global requirements
  * Fixed typo in SSL
* Wed Aug 10 2016 tbechtold@suse.com
- update to version 3.16.0
  * Do not add a default content type when replying
  * Expose sample config opts for http-proxy-to-wsgi
  * Deprecate using String as valid value for allowed_origin.
  * Deprecate multiple config block parsing.
  * Fix unit tests on Windows
  * Fix spelling of config option help
  * Updated from global requirements
* Fri Jun  3 2016 tbechtold@suse.com
- update to 3.11.0:
  * cors: remove unused import
  * Updated from global requirements
  * Add a simple __main__ to easily show healthcheck output
  * Removed simple headers from documentation examples
  * Added PATCH method to default config
  * Added set_defaults method to oslo_middleware.cors
  * Set default allow methods to those defined in RFC 2616
  * Removed default headers from CORS_OPTS
  * Imported Translations from Zanata
  * Updated from global requirements
  * Remove direct dependency on babel
  * Updated from global requirements
  * Updated from global requirements
  * Updated from global requirements
  * Updated from global requirements
  * cors: prevent WebOb setting a default Content-Type
  * CORS Middleware now honors upstream Vary header
  * Disable http_proxy_to_wsgi middleware by default
  * CORS tests now use a transient configuration
  * Updated config documentation for cors_middleware
  * Updated from global requirements
  * Updated from global requirements
  * Revert "work around doc build error"
- use renderspec source service
- update spec from upstream
* Mon Apr  4 2016 tbechtold@suse.com
- update to 3.8.0:
  * Updated from global requirements
  * Update .gitreview for stable/mitaka
- Adjust Requires
* Thu Mar  3 2016 tbechtold@suse.com
- update to 3.7.0:
  * work around doc build error
  * Update translation setup
  * Updated from global requirements
  * Updated from global requirements
  * Updated from global requirements
  * Imported Translations from Zanata
  * Remove ordereddict from requirements.txt
  * Updated from global requirements
  * Remove old references to namespace packages
  * test: pass enforce_type=True when using CONF.set_override
  * Updated from global requirements
  * Change LOG.warn to LOG.warning
  * Fix the url in the CONTRIBUTING.rst
  * Python 3 deprecated the logger.warn method in favor of warning
  * assertIsNone(val) instead of assertEqual(None,val)
  * Updated from global requirements
  * [fix-compat] More definitions for oslo.middleware
  * Updated from global requirements
  * Re-Add oslo.middleware namespace for backward compat
  * Removes MANIFEST.in as it is not needed explicitely by PBR
  * Support Unicode request_id on Python 3
  * Drop python 2.6 support
- Adjust Requires according to requirements.txt
* Sun Nov 29 2015 bwiedemann@suse.com
- update to 3.0.0
  * Move cors allowed_origin check into add_origin
  * Backward compat for allowed_origin
  * remove bad entry point test logic
  * Remove python 2.6 classifier
  * Switched StrOpt to ListOpt in CORS allowed_origins
  * Enable latent CORS configuration via pastedeploy
  * Remove python 2.6 and cleanup tox.ini
  * Add oslo_config program support to paste middleware
  * Define entry points for filter factories for Paste Deployment
  * Remove oslo namespace package
  * add missing shortcut for HTTPProxyToWSGI middleware
  * Revert "Add 'X-Auth-Token' default header to CORS middleware"
  * Add a disabled by ports -> files healthcheck plugin
  * Add 'X-Auth-Token' default header to CORS middleware
* Mon Nov 16 2015 bwiedemann@suse.com
- update to 2.10.0
  * Fix coverage configuration and execution
  * No need for Oslo Incubator Sync
  * ssl: deprecated in favor of http_proxy_to_wsgi
  * Introduce HTTP Proxy to WSGI middleware
  * Imported Translations from Zanata
  * Fix string formatting
  * Fix typos in docstring
  * Include changelog/history in docs
  * Add shields.io version/downloads links/badges into README.rst
  * Change ignore-errors to ignore_errors
  * Fix the home-page in setup.cfg with Oslo wiki page
  * Add plugin doco generated with stevedore.sphinxext
  * Avoid any body when request is a HEAD request
  * Further improve the healthcheck output
  * Allow the healthcheck middleware to provide more detailed responses
  * Updated from global requirements
  * Imported Translations from Zanata
  * cors: fix wildcard in actual request
  * cors: fix filter with oslo_config_project is set
* Sat Aug 29 2015 tbechtold@suse.com
- update to 2.8.0:
  * Split option discovery function by middleware
  * Updated from global requirements
  * Updated from global requirements
  * Fix remarks missed on #209817
  * Added new test for CORS Simple Headers
  * Restore backward compat of paste factory
  * Do not dump HealthcheckResult class source
  * Updated from global requirements
  * Renamed latent_configuration to _latent_configuration
  * Added latent properties to CORS middleware
  * Declare some methods static
  * Allow to get option from paste-deploy
  * Remove usage of oslo.config global
  * Imported Translations from Transifex
  * Updated from global requirements
  * Imported Translations from Transifex
  * Updated from global requirements
  * Imported Translations from Transifex
  * Updated from global requirements
  * Updated from global requirements
  * Updated from global requirements
  * Added verbose debug logging to CORS
- Adjust Requires according to requirements.txt
* Wed Jul 29 2015 tbechtold@suse.com
- Unify spec file. Use fedora compatible files macros
* Mon Jul 20 2015 dmueller@suse.com
- update to 2.4.0:
  * Fix mocking for 1.1.0
  * Updated from global requirements
  * Imported Translations from Transifex
  * Updated from global requirements
  * Support PasteDeploy
  * Add tox target to find missing requirements
* Thu Jun 25 2015 tbechtold@suse.com
- update to 2.3.0:
  * Drop use of 'oslo' namespace package
* Wed Jun 24 2015 tbechtold@suse.com
- update to 2.2.0:
  * CORS Middleware defers to server response
  * Updated from global requirements
  * Drop use of 'oslo' namespace package
  * Use correct oslo_middleware.base methods in CORS middleware
  * Added request to parse_response
  * Updated from global requirements
* Wed Jun 10 2015 tbechtold@suse.com
- update to 2.1.0:
  * Revert "Remove oslo namespace package"
* Mon Jun  8 2015 tbechtold@suse.com
- update to 1.3.0:
  * Added CORS wildcard handling
  * Drop use of 'oslo' namespace package
  * Updated from global requirements
  * Advertise support for Python3.4 / Remove support for Python 3.3
  * Remove run_cross_tests.sh
- Update Requires according to requirements.txt
* Thu May  7 2015 dmueller@suse.com
- update to 1.2.0:
  * Imported Translations from Transifex
  * Update CORS tests to use config fixture's load_raw_values
  * Updated from global requirements
* Tue Mar 10 2015 tbechtold@suse.com
- update to 1.0.0:
  * Updated from global requirements
- update Requires
* Tue Feb 24 2015 tbechtold@suse.com
- update to version 0.5.0:
  * Update the list of packages in setup.cfg
  * Updated from global requirements
  * Adds missing files
- Add _service file
- Cleanup SLES11 conditionals
* Thu Feb  5 2015 tbechtold@suse.com
- update to version 0.4.0
  * Fixes the healthcheck factory method and docs
  * add shortcut to healthcheck middleware
  * Updated from global requirements
  * Move i18n module to a private name
  * Update Oslo imports to remove namespace package
  * Add healthcheck middleware
  * Updated from global requirements
  * Fix bug tracker link in readme
- Adjust Requires according to requirements.txt
* Mon Jan 12 2015 dmueller@suse.com
- update to 0.3.0:
  * Move files out of the namespace package
  * Don't use default value in LimitingReader
  * switch to oslo.context
  * Workflow documentation is now in infra-manual
  * Updated from global requirements
  * Flesh out the README
  * Imported Translations from Transifex
  * Add pbr to installation requirements
  * Remove extraneous vim editor configuration comments
  * Support building wheels (PEP-427)
  * Fix coverage testing
  * Expose sizelimit option to config generator
* Wed Oct 29 2014 tbechtold@suse.com
- Initial version
